package com.yiqi.app.mapper;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yiqi.app.domain.vo.AppUserInfoVO;
import org.apache.ibatis.annotations.Mapper;
import com.yiqi.app.domain.AppUser;
import org.apache.ibatis.annotations.Param;

/**
 * 用户Mapper接口
 *
 * @author ruoyi
 * @date 2023-10-03
 */
@Mapper
public interface AppUserMapper extends BaseMapper<AppUser> {

    AppUserInfoVO getAppUserInfoById(Long appUserId);

    List<AppUserInfoVO> getAppUserInfoByIds(@Param("appUserIds") List<Long> appUserIds);
    /**
     * 查询用户
     *
     * @param id 用户主键
     * @return 用户
     */
    public AppUser selectAppUserById(Long id);

    /**
     * 查询用户列表
     *
     * @param appUser 用户
     * @return 用户集合
     */
    public List<AppUser> selectAppUserList(AppUser appUser);

    /**
     * 新增用户
     *
     * @param appUser 用户
     * @return 结果
     */
    public int insertAppUser(AppUser appUser);

    /**
     * 修改用户
     *
     * @param appUser 用户
     * @return 结果
     */
    public int updateAppUser(AppUser appUser);

    /**
     * 删除用户
     *
     * @param id 用户主键
     * @return 结果
     */
    public int deleteAppUserById(Long id);

    /**
     * 批量删除用户
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppUserByIds(Long[] ids);

    /**
     * 更新用户积分
     * @param appUserId
     * @param point
     */
    public void updateUserPoint(@Param("appUserId") Long appUserId, @Param("point") Integer point);
}
